LArSoft cvs (legacy site) - Bug #355

Event Display Filter does not handle MC Correctly
03/09/2010 10:54 AM - Brian Rebel

Status: Closed Start date: 03/09/2010
Priority: High Due date:

Assignee: Brian Page % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Description
The event display filter, LArEventFilter, is not handling Monte Carlo events correctly. Errors of the type

Error retrieving digit list, while looking for raw digits in LArEventFilter::operator()

are thrown when view MC files. This is likely because the LArEventFilter only looks for rawdata::RawDigits and not sim::SimDigits.
There should be a cascade where if the RawDigits are not found it will look for SimDigits before filtering the event out.

History

#1 - 03/09/2010 10:12 PM - Brian Page

Just committed fix. Needed to look in the ./sim::SimDigits folder in ADC_Filter if there were no RawDigits found.

#2 - 03/09/2010 10:12 PM - Brian Page

- Status changed from New to Closed

#3 - 10/08/2013 06:49 PM - Erica Snider
- Project changed from LArSoft to LArSoft cvs (legacy site)
- Category deleted (Event Display)
